<?php
// START NEWSLATTER SECTION 
$section ='lz_fitness_newslatter_section';
$wp_customize->add_section($section,array('title' => __( 'Newsletter Section', 'lz-fitness-premium' ),'panel' => 'lz_fitness_premium_home_panel',));
    //ENABLE/DISABLE NEWSLATTER SECTION
$wp_customize->add_setting('lz_fitness_newslatter_section_disable',array('sanitize_callback' => 'lz_fitness_sanitize_text','default' => 'off'));
$wp_customize->add_control(
	new lz_fitness_Switch_Control($wp_customize,'lz_fitness_newslatter_section_disable',
		array(
			'settings'=> 'lz_fitness_newslatter_section_disable',
			'section'=> $section,
			'label'=> __( 'Disable Section', 'lz-fitness-premium' ),
			'on_off_label' => array(
				'on' => __( 'Yes', 'lz-fitness-premium' ),
				'off' => __( 'No', 'lz-fitness-premium' )
			)
		)
	)
);
backgroundManager($wp_customize, 'newslatter', 'lz_fitness_newslatter_section', $color='#f4f4f4');
$wp_customize->add_setting(
        'lz_fitness_aboutss_image_heading',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'lz_fitness_aboutss_image_heading',
            array(
                'settings'      => 'lz_fitness_aboutss_image_heading',
                'section'       => 'lz_fitness_newslatter_section',
                'label'         => __( 'Left Image', 'lz-fitness-premium' ),
            )
        )
    );
    $wp_customize->add_setting(
        'lz_fitness_aboutss_image',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'lz_fitness_aboutss_image',
            array(
                'section' => 'lz_fitness_newslatter_section',
                'settings' => 'lz_fitness_aboutss_image',
                'description' => __('Recommended Image Size: 500X600px', 'lz-fitness-premium')
            )
        )
    );
//backgroundManager($wp_customize, 'newslatter', $section, $color='#fff');
//backgroundManager($wp_customize, 'newslatter', 'lz_fitness_newslatter_section', $color='#ffffff', get_template_directory_uri().'/images/newsletter.jpg', 'color');

$wp_customize->add_setting('lz_fitness_newslatter_title_subtitle_heading',array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
	new lz_fitness_Customize_Heading($wp_customize,'lz_fitness_newslatter_title_subtitle_heading',
		array(
			'settings'=> 'lz_fitness_newslatter_title_subtitle_heading',
			'section'=> $section,
			'label'=> __( 'Section Title & Sub Title', 'lz-fitness-premium')
		)
	)
);
$wp_customize->add_setting('lz_fitness_newslatter_title',array('sanitize_callback' => 'lz_fitness_sanitize_text','default'=> __( 'Subscribe us', 'lz-fitness-premium' )));
$wp_customize->add_control('lz_fitness_newslatter_title',
	array(
		'settings'=> 'lz_fitness_newslatter_title',
		'section'=> $section,
		'type'=> 'text','label'=> __( 'Title', 'lz-fitness-premium' )
	)
);
$wp_customize->add_setting('lz_fitness_newslatter_sub_title',array('sanitize_callback' => 'lz_fitness_sanitize_text','default'=> __( 'For <b> news </b> updates and promotional <b> events </b>', 'lz-fitness-premium' )));

$wp_customize->add_control(
	'lz_fitness_newslatter_sub_title',
	array(
		'settings'      => 'lz_fitness_newslatter_sub_title',
		'section'       => $section,
		'type'          => 'textarea',
		'label'         => __( 'Sub Title', 'lz-fitness-premium' )
	)
);
// $wp_customize->add_setting('lz_fitness_newslatter_sub_title2',array('sanitize_callback' => 'lz_fitness_sanitize_text','default'=> __( 'Enter your email below to be added to our mailing list.', 'lz-fitness-premium' )));

// $wp_customize->add_control(
// 	'lz_fitness_newslatter_sub_title2',
// 	array(
// 		'settings'      => 'lz_fitness_newslatter_sub_title2',
// 		'section'       => $section,
// 		'type'          => 'textarea',
// 		'label'         => __( 'Another Sub Title', 'lz-fitness-premium' )
// 	)
// );
// Heading color
addColorPalatOption($wp_customize, 'lz_fitness_newslatter_HeadingColor', 'lz_fitness_newslatter_section', 'Heading color', '#2b2b2b');
// Text color 
addColorPalatOption($wp_customize, 'lz_fitness_newslatter_TextColor', $section, 'Text color', '#424242');

$wp_customize->add_setting('lz_fitness_newslatter_form_lbl',array('sanitize_callback' => 'lz_fitness_sanitize_text',));
$wp_customize->add_control(
	new lz_fitness_Customize_Heading(
		$wp_customize,
		'lz_fitness_newslatter_form_lbl',
		array(
			'settings'      => 'lz_fitness_newslatter_form_lbl',
			'section'       => $section,
			'label'         => __( 'Add Newsletter shortcode', 'lz-fitness-premium' ),
		)
	)
);

$wp_customize->add_setting('lz_fitness_newslatter_form_shortcode',array('sanitize_callback' => 'lz_fitness_sanitize_text','default'=> __( 'Add your form shortcode here', 'lz-fitness-premium' )));
$wp_customize->add_control(
	'lz_fitness_newslatter_form_shortcode',
	array(
		'settings'      => 'lz_fitness_newslatter_form_shortcode',
		'section'       => $section,
		'type'          => 'text',
		'label'         => __( 'Shortcode', 'lz-fitness-premium' )
	)
);

// lzCustomLable($wp_customize, $id='lz_fitness_newslatter_section_imageLbl', $section, $label="Left Image");
// lzAddImageElement($wp_customize, $id='lz_fitness_newslatter_section_image', $section, $label="Recommended Image Size: 400X300px");
// EDN NEWSLATTER SECTION 